<?php

namespace App\Form\BaseType;

use App\Entity\ContactData\Email;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AddEmailType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('email', EmailType::class, [
                'label' => 'Email', ]);

        //->add('userEmail', EmailType::class, [
              //  'data' => 'userEmail'
            //]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Email::class,
        ]);
    }

    /*    public function buildView(FormView $view, FormInterface $form, array $options)
        {
            parent::buildView($view, $form, $options); // TODO: Change the autogenerated stub
        }*/
}
